stages:
  - build

build:
  stage: build
  image: docker
  resource_group: $CI_COMMIT_REF_NAME
  script:
    - apt install wget -y
    - wget -c https://golang.org/dl/go1.15.2.linux-amd64.tar.gz
    - tar -C /usr/local -xvzf go1.15.2.linux-amd64.tar.gz
    - docker build -t hello-falkor .
    - docker tag hello-falkor v1.0
    - docker push hello-falkor
